Bug 513300

Summary: yum stops in the middle of an install and asks to report to bugzilla.
Product: Red Hat Enterprise Linux 5 Reporter: coltadm <systems_its>
Component: yumAssignee: packaging-team-maint
Status: CLOSED CURRENTRELEASE QA Contact: BaseOS QE Security Team <qe-baseos-security>
Severity: medium Docs Contact:
Priority: low    
Version: 5.2CC: james.antill
Target Milestone: rc   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-03-12 16:42:52 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description coltadm 2009-07-22 18:11:33 EDT
Description of problem:
Yum stops and asks to report in bugzilla

Version-Release number of selected component (if applicable):


How reproducible:

yum install ImageMagick

Steps to Reproduce:
1. run "yum install ImageMagick"
2.
3.
  
Actual results:
bails out in the middle of the process, telling to report here.

Expected results:
(1, ['Please report this error in bugzilla'])


Additional info:

Here is the whole log:


[root@spa-ca21pa02:/tmp]# yum install ImageMagick
Loaded plugins: downloadonly, rhnplugin, security
Setting up Install Process
Parsing package install arguments
Resolving Dependencies
--> Running transaction check
---> Package ImageMagick.x86_64 0:6.2.8.0-4.el5_1.1 set to be updated
--> Processing Dependency: libwmflite-0.2.so.7()(64bit) for package: ImageMagick
--> Processing Dependency: librsvg-2.so.2()(64bit) for package: ImageMagick
--> Processing Dependency: liblcms.so.1()(64bit) for package: ImageMagick
--> Processing Dependency: libgs.so.8()(64bit) for package: ImageMagick
---> Package ImageMagick.i386 0:6.2.8.0-4.el5_1.1 set to be updated
--> Processing Dependency: libxml2.so.2 for package: ImageMagick
--> Processing Dependency: libwmflite-0.2.so.7 for package: ImageMagick
--> Processing Dependency: libtiff.so.3 for package: ImageMagick
--> Processing Dependency: librsvg-2.so.2 for package: ImageMagick
--> Processing Dependency: liblcms.so.1 for package: ImageMagick
--> Processing Dependency: libgs.so.8 for package: ImageMagick
--> Processing Dependency: libgobject-2.0.so.0 for package: ImageMagick
--> Processing Dependency: libgmodule-2.0.so.0 for package: ImageMagick
--> Processing Dependency: libglib-2.0.so.0 for package: ImageMagick
--> Processing Dependency: libgdk_pixbuf-2.0.so.0 for package: ImageMagick
--> Running transaction check
---> Package libxml2.i386 0:2.6.26-2.1.2.7 set to be updated
---> Package libtiff.x86_64 0:3.8.2-7.el5_3.4 set to be updated
---> Package ghostscript.i386 0:8.15.2-9.4.el5_3.7 set to be updated
--> Processing Dependency: urw-fonts >= 1.1 for package: ghostscript
--> Processing Dependency: libcupsimage.so.2 for package: ghostscript
--> Processing Dependency: libcups.so.2 for package: ghostscript
--> Processing Dependency: ghostscript-fonts for package: ghostscript
---> Package librsvg2.i386 0:2.16.1-1.el5 set to be updated
--> Processing Dependency: libgsf >= 1.6.0 for package: librsvg2
--> Processing Dependency: libcroco >= 0.6.1 for package: librsvg2
--> Processing Dependency: gnome-vfs2 >= 1.9.16 for package: librsvg2
--> Processing Dependency: libpangoft2-1.0.so.0 for package: librsvg2
--> Processing Dependency: libpangocairo-1.0.so.0 for package: librsvg2
--> Processing Dependency: libpango-1.0.so.0 for package: librsvg2
--> Processing Dependency: libgsf-1.so.114 for package: librsvg2
--> Processing Dependency: libgnomevfs-2.so.0 for package: librsvg2
--> Processing Dependency: libgconf-2.so.4 for package: librsvg2
--> Processing Dependency: libcroco-0.6.so.3 for package: librsvg2
--> Processing Dependency: libcairo.so.2 for package: librsvg2
--> Processing Dependency: libatk-1.0.so.0 for package: librsvg2
--> Processing Dependency: libORBit-2.so.0 for package: librsvg2
---> Package librsvg2.x86_64 0:2.16.1-1.el5 set to be updated
--> Processing Dependency: libgsf-1.so.114()(64bit) for package: librsvg2
--> Processing Dependency: libcroco-0.6.so.3()(64bit) for package: librsvg2
---> Package glib2.i386 0:2.12.3-4.el5_3.1 set to be updated
---> Package libwmf.i386 0:0.2.8.4-10.2 set to be updated
---> Package lcms.x86_64 0:1.18-0.1.beta1.el5_3.2 set to be updated
---> Package lcms.i386 0:1.18-0.1.beta1.el5_3.2 set to be updated
---> Package gtk2.i386 0:2.10.4-20.el5 set to be updated
--> Processing Dependency: libXrender.so.1 for package: gtk2
--> Processing Dependency: libXrandr.so.2 for package: gtk2
--> Processing Dependency: libXinerama.so.1 for package: gtk2
--> Processing Dependency: libXfixes.so.3 for package: gtk2
--> Processing Dependency: libXcursor.so.1 for package: gtk2
---> Package ghostscript.x86_64 0:8.15.2-9.4.el5_3.7 set to be updated
---> Package libtiff.i386 0:3.8.2-7.el5_3.4 set to be updated
---> Package libwmf.x86_64 0:0.2.8.4-10.2 set to be updated
--> Running transaction check
---> Package gnome-vfs2.x86_64 0:2.16.2-4.el5 set to be updated
--> Processing Dependency: gnome-mount >= 0.4 for package: gnome-vfs2
--> Processing Dependency: gnome-mime-data >= 2.0.0-11 for package: gnome-vfs2
--> Processing Dependency: shared-mime-info for package: gnome-vfs2
--> Processing Dependency: libavahi-glib.so.1()(64bit) for package: gnome-vfs2
---> Package libXfixes.i386 0:4.0.1-2.1 set to be updated
---> Package ghostscript-fonts.noarch 0:5.50-13.1.1 set to be updated
---> Package libXinerama.i386 0:1.0.1-2.1 set to be updated
---> Package cairo.i386 0:1.2.4-5.el5 set to be updated
--> Processing Dependency: cups-libs = 1:1.3.7-8.el5_3.4 for package: cups
---> Package libcroco.x86_64 0:0.6.1-2.1 set to be updated
---> Package libXcursor.i386 0:1.1.7-1.1 set to be updated
---> Package GConf2.i386 0:2.14.0-9.el5 set to be updated
---> Package pango.i386 0:1.14.9-5.el5_3 set to be updated
--> Processing Dependency: libXft.so.2 for package: pango
---> Package libgsf.x86_64 0:1.14.1-6.1 set to be updated
--> Processing Dependency: libbonobo-activation.so.4()(64bit) for package: libgsf
--> Processing Dependency: libbonobo-2.so.0()(64bit) for package: libgsf
---> Package cups-libs.x86_64 1:1.3.7-8.el5_3.6 set to be updated
---> Package libXrandr.i386 0:1.1.1-3.1 set to be updated
---> Package urw-fonts.noarch 0:2.3-6.1.1 set to be updated
---> Package libXrender.i386 0:0.9.1-3.1 set to be updated
---> Package cups-libs.i386 1:1.3.7-8.el5_3.6 set to be updated
--> Processing Dependency: libgnutls.so.13(GNUTLS_1_3) for package: cups-libs
--> Processing Dependency: libgnutls.so.13 for package: cups-libs
---> Package libcroco.i386 0:0.6.1-2.1 set to be updated
---> Package gnome-vfs2.i386 0:2.16.2-4.el5 set to be updated
--> Processing Dependency: libhal.so.1 for package: gnome-vfs2
--> Processing Dependency: libhal-storage.so.1 for package: gnome-vfs2
--> Processing Dependency: libfam.so.0 for package: gnome-vfs2
--> Processing Dependency: libdbus-glib-1.so.2 for package: gnome-vfs2
--> Processing Dependency: libdbus-1.so.3 for package: gnome-vfs2
--> Processing Dependency: libavahi-glib.so.1 for package: gnome-vfs2
--> Processing Dependency: libavahi-common.so.3 for package: gnome-vfs2
--> Processing Dependency: libavahi-client.so.3 for package: gnome-vfs2
--> Processing Dependency: libattr.so.1 for package: gnome-vfs2
--> Processing Dependency: libacl.so.1(ACL_1.0) for package: gnome-vfs2
--> Processing Dependency: libacl.so.1 for package: gnome-vfs2
---> Package atk.i386 0:1.12.2-1.fc6 set to be updated
---> Package libgsf.i386 0:1.14.1-6.1 set to be updated
--> Processing Dependency: libbonobo-activation.so.4 for package: libgsf
--> Processing Dependency: libbonobo-2.so.0 for package: libgsf
---> Package ORBit2.i386 0:2.14.3-5.el5 set to be updated
--> Processing Dependency: libIDL-2.so.0 for package: ORBit2
--> Running transaction check
---> Package cups.x86_64 1:1.3.7-8.el5_3.6 set to be updated
---> Package libXft.i386 0:2.1.10-1.1 set to be updated
---> Package gnome-mount.x86_64 0:0.5-3.el5 set to be updated
--> Processing Dependency: libgnomeui-2.so.0()(64bit) for package: gnome-mount
--> Processing Dependency: libgnomecanvas-2.so.0()(64bit) for package: gnome-mount
--> Processing Dependency: libgnome-keyring.so.0()(64bit) for package: gnome-mount
--> Processing Dependency: libgnome-2.so.0()(64bit) for package: gnome-mount
--> Processing Dependency: libbonoboui-2.so.0()(64bit) for package: gnome-mount
---> Package libbonobo.i386 0:2.16.0-1.fc6 set to be updated
---> Package libattr.i386 0:2.4.32-1.1 set to be updated
---> Package shared-mime-info.x86_64 0:0.19-5.el5 set to be updated
---> Package gnutls.i386 0:1.4.1-3.el5_2.1 set to be updated
---> Package avahi-glib.i386 0:0.6.16-1.el5_2.1 set to be updated
---> Package libbonobo.x86_64 0:2.16.0-1.fc6 set to be updated
---> Package hal.i386 0:0.5.8.1-38.el5 set to be updated
--> Processing Dependency: libvolume_id.so.0 for package: hal
--> Processing Dependency: libusb-0.1.so.4 for package: hal
---> Package dbus-glib.i386 0:0.73-8.el5 set to be updated
---> Package avahi.i386 0:0.6.16-1.el5_2.1 set to be updated
--> Processing Dependency: libdaemon.so.0 for package: avahi
--> Processing Dependency: libcap.so.1 for package: avahi
---> Package avahi-glib.x86_64 0:0.6.16-1.el5_2.1 set to be updated
---> Package gamin.i386 0:0.1.7-8.el5 set to be updated
---> Package dbus.x86_64 0:1.0.0-7.el5_2.1 set to be updated
---> Package libacl.i386 0:2.2.39-3.el5 set to be updated
---> Package libIDL.i386 0:0.8.7-1.fc6 set to be updated
---> Package gnome-mime-data.x86_64 0:2.4.2-3.1 set to be updated
---> Package dbus.i386 0:1.0.0-7.el5_2.1 set to be updated
--> Running transaction check
---> Package libgnomecanvas.x86_64 0:2.14.0-4.1 set to be updated
--> Processing Dependency: libglade-2.0.so.0()(64bit) for package: libgnomecanvas
---> Package libbonoboui.x86_64 0:2.16.0-1.fc6 set to be updated
---> Package gnome-keyring.x86_64 0:0.6.0-1.fc6 set to be updated
---> Package libcap.i386 0:1.10-26 set to be updated
---> Package libvolume_id.i386 0:095-14.20.el5_3 set to be updated
---> Package libdaemon.i386 0:0.10-5.el5 set to be updated
---> Package libusb.i386 0:0.1.12-5.1 set to be updated
---> Package libgnome.x86_64 0:2.16.0-6.el5 set to be updated
--> Processing Dependency: libxslt >= 1.0.19 for package: libgnome
--> Processing Dependency: libesd.so.0()(64bit) for package: libgnome
--> Processing Dependency: libaudiofile.so.0()(64bit) for package: libgnome
---> Package libgnomeui.x86_64 0:2.16.0-5.el5 set to be updated
--> Running transaction check
---> Package libxslt.x86_64 0:1.1.17-2.el5_2.2 set to be updated
---> Package audiofile.x86_64 1:0.2.6-5 set to be updated
---> Package libglade2.x86_64 0:2.6.0-2 set to be updated
---> Package esound.x86_64 1:0.2.36-3 set to be updated
--> Processing Dependency: libasound.so.2(ALSA_0.9.0rc4)(64bit) for package: esound
--> Processing Dependency: libasound.so.2(ALSA_0.9)(64bit) for package: esound
--> Processing Dependency: libasound.so.2()(64bit) for package: esound
--> Running transaction check
---> Package alsa-lib.x86_64 0:1.0.17-1.el5 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

======================================================================================================================================================================================================
 Package                                         Arch                                 Version                                                Repository                                          Size
======================================================================================================================================================================================================
Installing:
 ImageMagick                                     i386                                 6.2.8.0-4.el5_1.1                                      rhel-x86_64-server-5                               3.3 M
 ImageMagick                                     x86_64                               6.2.8.0-4.el5_1.1                                      rhel-x86_64-server-5                               3.3 M
Updating:
 cups                                            x86_64                               1:1.3.7-8.el5_3.6                                      rhel-x86_64-server-5                               3.4 M
 cups-libs                                       x86_64                               1:1.3.7-8.el5_3.6                                      rhel-x86_64-server-5                               189 k
 dbus                                            x86_64                               1.0.0-7.el5_2.1                                        rhel-x86_64-server-5                               465 k
 libtiff                                         x86_64                               3.8.2-7.el5_3.4                                        rhel-x86_64-server-5                               312 k
Installing for dependencies:
 GConf2                                          i386                                 2.14.0-9.el5                                           rhel-x86_64-server-5                               1.5 M
 ORBit2                                          i386                                 2.14.3-5.el5                                           rhel-x86_64-server-5                               253 k
 alsa-lib                                        x86_64                               1.0.17-1.el5                                           rhel-x86_64-server-5                               414 k
 atk                                             i386                                 1.12.2-1.fc6                                           rhel-x86_64-server-5                               222 k
 audiofile                                       x86_64                               1:0.2.6-5                                              rhel-x86_64-server-5                               106 k
 avahi                                           i386                                 0.6.16-1.el5_2.1                                       rhel-x86_64-server-5                               250 k
 avahi-glib                                      x86_64                               0.6.16-1.el5_2.1                                       rhel-x86_64-server-5                                14 k
 avahi-glib                                      i386                                 0.6.16-1.el5_2.1                                       rhel-x86_64-server-5                                14 k
 cairo                                           i386                                 1.2.4-5.el5                                            rhel-x86_64-server-5                               394 k
 cups-libs                                       i386                                 1:1.3.7-8.el5_3.6                                      rhel-x86_64-server-5                               193 k
 dbus                                            i386                                 1.0.0-7.el5_2.1                                        rhel-x86_64-server-5                               469 k
 dbus-glib                                       i386                                 0.73-8.el5                                             rhel-x86_64-server-5                               160 k
 esound                                          x86_64                               1:0.2.36-3                                             rhel-x86_64-server-5                               131 k
 gamin                                           i386                                 0.1.7-8.el5                                            rhel-x86_64-server-5                               118 k
 ghostscript                                     i386                                 8.15.2-9.4.el5_3.7                                     rhel-x86_64-server-5                               5.9 M
 ghostscript                                     x86_64                               8.15.2-9.4.el5_3.7                                     rhel-x86_64-server-5                               5.9 M
 ghostscript-fonts                               noarch                               5.50-13.1.1                                            rhel-x86_64-server-5                               801 k
 glib2                                           i386                                 2.12.3-4.el5_3.1                                       rhel-x86_64-server-5                               674 k
 gnome-keyring                                   x86_64                               0.6.0-1.fc6                                            rhel-x86_64-server-5                               166 k
 gnome-mime-data                                 x86_64                               2.4.2-3.1                                              rhel-x86_64-server-5                               690 k
 gnome-mount                                     x86_64                               0.5-3.el5                                              rhel-x86_64-server-5                                71 k
 gnome-vfs2                                      x86_64                               2.16.2-4.el5                                           rhel-x86_64-server-5                               1.3 M
 gnome-vfs2                                      i386                                 2.16.2-4.el5                                           rhel-x86_64-server-5                               1.3 M
 gnutls                                          i386                                 1.4.1-3.el5_2.1                                        rhel-x86_64-server-5                               351 k
 gtk2                                            i386                                 2.10.4-20.el5                                          rhel-x86_64-server-5                               6.5 M
 hal                                             i386                                 0.5.8.1-38.el5                                         rhel-x86_64-server-5                               382 k
 lcms                                            x86_64                               1.18-0.1.beta1.el5_3.2                                 rhel-x86_64-server-5                               177 k
 lcms                                            i386                                 1.18-0.1.beta1.el5_3.2                                 rhel-x86_64-server-5                               176 k
 libIDL                                          i386                                 0.8.7-1.fc6                                            rhel-x86_64-server-5                                85 k
 libXcursor                                      i386                                 1.1.7-1.1                                              rhel-x86_64-server-5                                32 k
 libXfixes                                       i386                                 4.0.1-2.1                                              rhel-x86_64-server-5                                14 k
 libXft                                          i386                                 2.1.10-1.1                                             rhel-x86_64-server-5                                44 k
 libXinerama                                     i386                                 1.0.1-2.1                                              rhel-x86_64-server-5                               9.9 k
 libXrandr                                       i386                                 1.1.1-3.1                                              rhel-x86_64-server-5                                15 k
 libXrender                                      i386                                 0.9.1-3.1                                              rhel-x86_64-server-5                                27 k
 libacl                                          i386                                 2.2.39-3.el5                                           rhel-x86_64-server-5                                19 k
 libattr                                         i386                                 2.4.32-1.1                                             rhel-x86_64-server-5                                12 k
 libbonobo                                       x86_64                               2.16.0-1.fc6                                           rhel-x86_64-server-5                               521 k
 libbonobo                                       i386                                 2.16.0-1.fc6                                           rhel-x86_64-server-5                               501 k
 libbonoboui                                     x86_64                               2.16.0-1.fc6                                           rhel-x86_64-server-5                               395 k
 libcap                                          i386                                 1.10-26                                                rhel-x86_64-server-5                                23 k
 libcroco                                        i386                                 0.6.1-2.1                                              rhel-x86_64-server-5                               127 k
 libcroco                                        x86_64                               0.6.1-2.1                                              rhel-x86_64-server-5                               128 k
 libdaemon                                       i386                                 0.10-5.el5                                             rhel-x86_64-server-5                                24 k
 libglade2                                       x86_64                               2.6.0-2                                                rhel-x86_64-server-5                                96 k
 libgnome                                        x86_64                               2.16.0-6.el5                                           rhel-x86_64-server-5                               860 k
 libgnomecanvas                                  x86_64                               2.14.0-4.1                                             rhel-x86_64-server-5                               224 k
 libgnomeui                                      x86_64                               2.16.0-5.el5                                           rhel-x86_64-server-5                               984 k
 libgsf                                          i386                                 1.14.1-6.1                                             rhel-x86_64-server-5                               116 k
 libgsf                                          x86_64                               1.14.1-6.1                                             rhel-x86_64-server-5                               113 k
 librsvg2                                        x86_64                               2.16.1-1.el5                                           rhel-x86_64-server-5                               178 k
 librsvg2                                        i386                                 2.16.1-1.el5                                           rhel-x86_64-server-5                               179 k
 libtiff                                         i386                                 3.8.2-7.el5_3.4                                        rhel-x86_64-server-5                               306 k
 libusb                                          i386                                 0.1.12-5.1                                             rhel-x86_64-server-5                                27 k
 libvolume_id                                    i386                                 095-14.20.el5_3                                        rhel-x86_64-server-5                                40 k
 libwmf                                          x86_64                               0.2.8.4-10.2                                           rhel-x86_64-server-5                               832 k
 libwmf                                          i386                                 0.2.8.4-10.2                                           rhel-x86_64-server-5                               834 k
 libxml2                                         i386                                 2.6.26-2.1.2.7                                         rhel-x86_64-server-5                               799 k
 libxslt                                         x86_64                               1.1.17-2.el5_2.2                                       rhel-x86_64-server-5                               487 k
 pango                                           i386                                 1.14.9-5.el5_3                                         rhel-x86_64-server-5                               335 k
 shared-mime-info                                x86_64                               0.19-5.el5                                             rhel-x86_64-server-5                               149 k
 urw-fonts                                       noarch                               2.3-6.1.1                                              rhel-x86_64-server-5                               4.5 M

Transaction Summary
======================================================================================================================================================================================================
Install     64 Package(s)
Update       4 Package(s)
Remove       0 Package(s)

Total size: 52 M
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
ERROR with rpm_check_debug vs depsolve:
dbus is needed by (installed) dbus-libs-1.1.2-12.el5.x86_64
dbus is needed by (installed) NetworkManager-0.7.0-4.el5_3.x86_64
dbus is needed by (installed) NetworkManager-glib-0.7.0-4.el5_3.x86_64
dbus is needed by (installed) dbus-libs-1.1.2-12.el5.x86_64
dbus is needed by (installed) NetworkManager-0.7.0-4.el5_3.x86_64
dbus is needed by (installed) NetworkManager-glib-0.7.0-4.el5_3.x86_64
Complete!
(1, ['Please report this error in bugzilla'])
[root@spa-ca21pa02:/tmp]#
Comment 1 James Antill 2009-07-23 00:12:54 EDT
 Can you check with the 5.4 beta version of yum and make sure this is already fixed?
Comment 2 James Antill 2013-03-12 16:42:52 EDT
 Assuming this wasn't a case of an already broken rpmdb, there were a number of depsolving fixes in RHEL-5 and this should now be fixed.
 RHEL-6 yum also has the "yum check" command to see rpmdb problems.